Subject: Re: bug#66503: 29.1; Problem rendering Arabic diacriticals

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Oct 2023 22:30:43 +0300

> Cc: [email-masked]
> Date: Thu, 12 Oct 2023 22:26:04 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> Please also provide the text as text, so we could compare the
> rendering you see with what we see in other builds of Emacs.  On
> macOS, which you seem to be using, Emacs uses the system text-shaping
> engine, which is different from HarfBuzz we use on most other
> platforms, so the rendering we see could be different.

In addition, please tell which font are you using in Emacs for Arabic.
Some Arabic fonts don't support all the ligatures and OpenType
features that correct Arabic shaping requires.